# Computational Modeling Results
This directory contains files detailing the computational results found for the publication. These results include:

1. AlphaFold2 Predicted Structures  
2. p2rank predicted binding pocket information
3. QVina2 Docking Results
4. PyMol Sessions that were used to generate the publication figures

## File Structure
The files in this directory are structured as follows:

```
Computational_Modeling
├── AlphaFold2_Predicted_Structures
│   ├── OH685_02300.pdb
│   ├── OH685_09429.pdb
│   ├── OH685_14124.pdb
│   └── OH685_18625_hypothetical.pdb
├── Docking_Results
│   ├── OH685_02300
│   ├── OH685_09429
│   ├── OH685_14124
│   └── OH685_18625_hypothetical
├── p2rank_Results
│   ├── predict_OH685_02300
│   ├── predict_OH685_09429
│   ├── predict_OH685_14124
│   └── predict_OH685_18625_hypothetical
├── Publication_PyMol_Sessions
│   ├── 02300_publication_image.pse
│   ├── 09429_publication_image.pse
│   ├── 14124_publication_image.pse
│   └── 18625_hypothetical_publication_image.pse
└── README.md
```

In each of these folders contains the standard output from each of the component tools used to generate the results. For instance:

1. `AlphaFold2_Predicted_Structures` contains `.pdb` files from the output of AlphaFold2
2. `Docking_Results` contain:
	a. `config.txt` - Text File Specifying the Docking Parameters
	b. `sorgoleone.pdbqt` - A AutoDock Vina Docking result file that should be loaded into a visualizer like PyMol with the corresponding `.pdb`
	c. `XXXXX_docked_structure.pdb` - The top pose saved as an individual `.pdb` for use in visualization in plip
3. `p2rank_Results` contains files that describe binding pocket residues and PyMol sessions to visualize the identified pockets
4. `Publication_PyMol_Sesssions` contains `.pse` files that were used to generate the images found in the publication 